<?php
/**
 * The Template for displaying all single products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see        https://docs.woocommerce.com/document/template-structure/
 * @package    WooCommerce/Templates
 * @version     1.6.4
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

get_header('shop');

global $venus_options;

$pro_style = get_post_meta(get_the_ID(), 'select_style_page_products', true);

if ($pro_style == 'default' || empty($pro_style)) {
    switch ($venus_options['style_page_products']) {
        case 'product-style-one':
            echo '<div class="container">';
            break;
        case 'product-style-two':
            echo '<div class="container container-digikala">';
            break;
        default:
            echo '<div class="container">';
    }
} elseif ($pro_style == 'hamyarco') {
    echo '<div class="container">';
} elseif ($pro_style == 'digikala') {

    echo '<div class="container container-digikala">';

}
?>
<?php while (have_posts()) : the_post(); ?>

    <?php wc_get_template_part('content', 'single-product'); ?>

<?php endwhile; // end of the loop. ?>

<?php
/**
 * woocommerce_after_main_content hook.
 *
 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
 */
do_action('woocommerce_after_main_content');
?>
    </div>
<?php
/**
 * woocommerce_sidebar hook.
 *
 * @hooked woocommerce_get_sidebar - 10
 */
//		do_action( 'woocommerce_sidebar' );
?>

<?php get_footer('shop');

/* Omit closing PHP tag at the end of PHP files to avoid "headers already sent" issues. */
